Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1391)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1392)
@@ -911,7 +911,14 @@
 		this.saveParameter("class", this.getClass().getName()); //$NON-NLS-1$
 
 		this.saveParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH, this.parametersNodePath);
-		this.saveParameter(TXMPreferences.BUNDLE_ID, this.commandPreferencesNodePath);
+		
+		// FIXME: old version that not work well if a bundle has no preference initializer
+		//this.saveParameter(TXMPreferences.BUNDLE_ID, this.commandPreferencesNodePath);
+		// FIXME: new version
+		this.saveParameter(TXMPreferences.BUNDLE_ID, FrameworkUtil.getBundle(getClass()).getSymbolicName());
+		
+		
+		
 		if (this.parent != null)	{
 			this.saveParameter(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, this.parent.getParametersNodePath());
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 1391)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 1392)
@@ -50,7 +50,7 @@
 	protected void createFieldEditors() {
 		this.addField(new BooleanFieldEditor(RCPPreferences.USER_ALERT_DELETE, TXMUIMessages.doNotConfirmToDeleteAnObject, BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 
-		// Auto compute the resul when a parameter changes
+		// Auto compute the result when a parameter changes
 		this.addField(new BooleanFieldEditor(RCPPreferences.AUTO_UPDATE_EDITOR, TXMUIMessages.automaticRecomputingWhenChangingAParameter, BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 		
 		// Auto save each result after computing and auto load them at startup
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1391)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1392)
@@ -659,7 +659,7 @@
 
 	/**
 	 * Gets a Lexicon from the specified corpus.
-	 * If a Lexicon child exists in the Corpus fro the specified property, returns it otherwise creates and computes a new Lexicon.
+	 * If a Lexicon child exists in the Corpus from the specified property, returns it otherwise creates and computes a new Lexicon.
 	 * @param corpus
 	 * @param property
 	 * @return
Index: tmp/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java
===================================================================
--- tmp/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java	(revision 1391)
+++ tmp/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java	(revision 1392)
@@ -24,6 +24,7 @@
 		
 		// FIXME: conception problem
 		// Since the command has no preferences, the default charts engine preferences are not loaded in TXMResult constructor, so the code above is needed to reload the parameters
+		// It also problematic for persistence to pass "org.txm.chartsengine.core" because it is saved as bundle ID and the deserialisation can not be done since "org.txm.chartsengine.core" does not found the class CooccurrenceGraph
 		this.commandPreferencesNodePath = "org.txm.chartsengine.core";
 		try {
 			this.autoLoadParametersFromAnnotations();
@@ -39,6 +40,19 @@
 	 */
 	public CooccurrenceGraph(String parametersNodePath) {
 		super(parametersNodePath);
+		
+		// FIXME: conception problem
+		// Since the command has no preferences, the default charts engine preferences are not loaded in TXMResult constructor, so the code above is needed to reload the parameters
+		// It also problematic for persistence to pass "org.txm.chartsengine.core" because it is saved as bundle ID and the deserialisation can not be done since "org.txm.chartsengine.core" does not found the class CooccurrenceGraph
+		this.commandPreferencesNodePath = "org.txm.chartsengine.core";
+		try {
+			this.autoLoadParametersFromAnnotations();
+		}
+		catch (Exception e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+
 	}
 
 
